spark-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From geoHeil <georg.kf.hei...@gmail.com>
Subject Embedded derby driver missing from 2.2.1 onwards
Date Sun, 01 Apr 2018 22:07:36 GMT
Hi,

I noticed that spark standalone (locally for development) will no longer
support the integrated hive megastore as some driver classes for derby seem
to be missing from 2.2.1 and onwards (2.3.0). It works just fine for 2.2.0
or previous versions to execute the following script:

spark.sql("CREATE database foobar")
The exception I see for newer versions of spark is:
NoClassDefFoundError: Could not initialize class
org.apache.derby.jdbc.EmbeddedDriver
Simply adding derby as a dependency in SBT did not solve this issue for me.

Best,
Georg



--
Sent from: http://apache-spark-developers-list.1001551.n3.nabble.com/

---------------------------------------------------------------------
To unsubscribe e-mail: dev-unsubscribe@spark.apache.org


Mime
View raw message